.main-page {
  .top-section {
    background-image: url('/images/landing/hero-img.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center 0;
    @media only screen and (min-width: 992px) {
      margin-top: 60px;

    }

    &-content{
      padding-top: 60px;
      padding-bottom: 60px;
      text-align: center;
      position: relative;
      overflow: hidden;
      color: $brand-primary-600;
      @media only screen and (min-width: 992px) {
        padding-top: 80px;
        overflow: visible;
      }

      .left-img {
        height: 120px;
        position: absolute;
        left: -46px;
        top: 0;
        z-index: 100;
        @media only screen and (min-width: 992px) {
          left: 100px;
          top: -60px;
        }
      }
      .right-img {
        height: 120px;
        position: absolute;
        right: -40px;
        top: 0;
        z-index: 100;
        @media only screen and (min-width: 992px) {
          right: 100px;
          top: -60px;
        }
      }

      .top-section-text {
        padding: 0 8px;
        h1 {
          font-family: 'Montserrat';
          font-size: 36px;
          line-height: 1.22;
          margin: 0;
          margin-bottom: 4px;
        }
        p {
          font-size: 16px;
          max-width: 450px;
          margin: 0 auto;
          color: $brand-primary-600;
        }
        @media only screen and (min-width: 768px) {
          padding: 0 120px;
          h1 {
            font-size: 60px;
          }
          p {
            font-size: 20px;
          }
        }
      }

      .card-container {
        margin-top: 32px;
        display: flex;
        align-items: center;
        flex-wrap: wrap;
        @media only screen and (min-width: 768px) {
          margin-top: 120px;
        }

        .top-section-card {
          display: flex;
          margin-bottom: 16px;
          width: 100%;
          justify-content: center;
          line-height: 1.3;
          @media only screen and (min-width: 768px) {
            width: 50%;
            margin-bottom: 40px;
          }
          @media only screen and (min-width: 992px) {
            width: 25%;
          }

          .white-squere {
            width: 40px;
            height: 40px;
            border-radius: 12px;
            background-color: $brand-white;
            display: flex;
            justify-content: center;
            margin-right: 16px;
          }
        }
      }
    }
  }

  .games-section {
    padding-top: 16px;
    @media only screen and (min-width: 768px) {
      padding-top: 40px;
    }
    @media only screen and (min-width: 992px) {
      padding-top: 60px;
    }
  }

  .how-to-play-section {
    padding-top: 60px;
    .how-to-play-content {
      text-align: center;
      h2 {
        font-family: 'Montserrat';
        color: $brand-primary-600;
      }
      p {
        color: $brand-primary-400;
      }
      .how-to-play-text {
        margin: 0 auto;
        max-width: 720px;
        @media only screen and (min-width: 768px) {
          font-size: 18px;
        }
      }
      .card-container {
        margin: 32px auto 32px auto;
        width: max-content;
        align-items: center;
        flex-wrap: wrap;
        @media only screen and (min-width: 768px) {
          width: auto;
          display: flex;
          margin-top: 40px;
          margin-bottom: 0;
        }
        @media only screen and (min-width: 992px) {
          justify-content: space-around;
          margin-top: 80px;
          margin-bottom: 20px;
        }

        .how-to-card{
          display: flex;
          align-items: center;
          margin-bottom: 16px;
          width: 100%;
          @media only screen and (min-width: 768px) {
            width: 50%;
            justify-content: center;
            margin-bottom: 40px;
          }
          @media only screen and (min-width: 992px) {
            width: auto;
          }

          .how-to-squere {
            width: 32px;
            height: 32px;
            border-radius: 12px;
            display: flex;
            justify-content: center;
            margin-right: 8px;
          }
          .blue-light {
            background-color: #E2EEFF;
          }
          .green-light {
            background-color: #E1F4F0;
          }
          .red-light {
            background-color: #FFE5EF;
          }
          .yellow-light {
            background-color: $light-yellow;
          }
        }
      }
      .video-container {
        background-color: $pale-lilac;
        height: 300px;
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        @media only screen and (min-width: 768px) {
          height: 480px;
        }
      }
    }
  }

  .swiper-section {
    padding-top: 60px;
    box-sizing: border-box;

    .swiper-section-content {
        margin-top: 60px;
        padding-top: 20px;
        padding-bottom: 20px;
        background-position: 0 150px;
        background-repeat: no-repeat;
        background-image: -webkit-linear-gradient(bottom, #ffcee6, #fff5cc);
        background-image: -o-linear-gradient(bottom, #ffcee6, #fff5cc);
        background-image: linear-gradient(to top, #ffcee6, #fff5cc);
        .swiper-slide {
          width: 280px;
          padding-left: 16px;
          &:last-child{
            padding-right: 16px;
          }
        }
        .slider-item {
          padding: 40px 0;
          .slider-item-content{
            height: 258px;
            border-radius: 16px;
            box-shadow: 10px 10px 30px 0 rgba(203, 196, 229, 0.3);
            background-color: $brand-white;
            padding: 0 40px;
            color: $brand-primary-600;
            img {
              margin-top: -23px;
              height: 70px;
            }
            h3 {
              line-height: 1.4;
            }
          }
        }
      }
      @media only screen and (min-width: 768px) {
        .swiper-section-content {
          background-size: 370px 520px;
          background-position: center;
        }
        .swiper-container {
          overflow: visible;
        }
        .swiper-wrapper {
          flex-wrap: wrap;
          transform: translate3d(0px, 0px, 0px)!important;
          width: 592px;
          margin: 0 auto;
          .swiper-slide:nth-child(2){
            margin-top: 160px;
          }
          .swiper-slide:nth-child(3){
            margin-top: -160px;
          }
          .swiper-slide:nth-child(2n){
            padding-left: 32px;
          }
          .swiper-slide:nth-child(2n+1){
            padding-left: 0;
          }
          .slider-item {
            padding-bottom: 20px;
          }
        }
      }
      @media only screen and (min-width: 992px) {
        display: flex;
        align-items: center;
        max-width: 1200px;
        margin: 0 auto;
        justify-content: center;
        padding: 100px 0;
        .swiper-section-content {
          margin-top: 0;
        }
        .casino-section-content {
          padding: 0 30px 0 80px;
          p {
            margin: 0;
          }
        }
      }
  }

  .casino-section-content {
    box-sizing: border-box;
    color: $brand-primary-600;
    padding-top: 32px;
    padding-bottom: 60px;
    text-align: center;

    @media only screen and (min-width: 768px) and (max-width: 992px) {
      padding-left: 104px;
      padding-right: 104px;
    }
    h2 {
      font-family: 'Montserrat';
      font-size: 28px;
      margin-bottom: 16px;
      margin-top: 0;
    }
    p {
      max-width: 480px;
      margin: 0 auto;
    }

    .btn-primary {
      margin-top: 32px;
    }
  }

  .bottom-cards-section {
    background-color: $brand-primary-100;
    padding-top: 16px;
    @media only screen and (min-width: 768px) {
      padding-top: 80px;
      padding-bottom: 80px;
    }
    @media only screen and (min-width: 992px) {
      background-color: $brand-white;
      padding: 0;
    }
    .bottom-cards-container {
      display: flex;
      justify-content: space-between;
      flex-wrap: wrap;
      @media only screen and (min-width: 992px) {
        padding: 120px;
        box-sizing: border-box;
        background-color: $brand-primary-100;
      }

      .lilac-card {
        display: flex;
        width: 100%;
        color: $brand-white;
        padding: 40px;
        padding-right: 60px;
        position: relative;
        z-index: 0;
        margin-bottom: 16px;
        background: linear-gradient(180deg, rgba(34,9,108,1) 0%, rgba(34,9,108,1) 50%, rgba(169,43,141,1) 100%);
        background-size: 100% 200%;
        transition: all .3s ease-out;
        &:hover {
          background-position: 0 100%;
        }
        @media only screen and (min-width: 768px) {
          width: calc((100% - 16px)/2);
          box-sizing: border-box;
        }
        @media only screen and (min-width: 992px) {
          width: calc((100% - 64px)/4);
          height: 322px;
          padding: 40px;
          align-items: flex-end;
        }
        a {
          display: block;
          color: $brand-white;
        }
        .background-img {
          position: absolute;
          top: 0;
          right: 0;
          height: 130px;
          z-index: -1;
        }
        h3 {
          color: $brand-white;
          font-weight: 700;
          margin-top: 0;
          font-size: 24px;
          margin-bottom: 8px;
        }
      }
    }
  }
}
